
From: Olaf Hering <olh@suse.de>

changing CONFIG_LOCALVERSION rebuilds too much, for no appearent reason.

KERNEL_VERSION is a static macro, it doesnt belong to a changing header file. 
stuff which relies on UTS_RELEASE or LINUX_VERSION_CODE does already include
linux/version.h some drivers use KERNEL_VERSION for different purposes

Signed-off-by: Olaf Hering <olh@suse.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 Makefile                              |    1 -
 drivers/media/video/bttvp.h           |    2 +-
 drivers/media/video/saa7134/saa7134.h |    2 +-
 drivers/media/video/zoran_driver.c    |    2 +-
 drivers/usb/media/sn9c102.h           |    2 +-
 drivers/video/matrox/matroxfb_base.c  |    2 +-
 include/linux/utsname.h               |    3 +++
 include/media/saa7146.h               |    2 +-
 8 files changed, 9 insertions(+), 7 deletions(-)

diff -puN drivers/media/video/bttvp.h~move-kernel_version-from-linux-versionh-to-linux-utsnameh drivers/media/video/bttvp.h
--- devel/drivers/media/video/bttvp.h~move-kernel_version-from-linux-versionh-to-linux-utsnameh	2005-07-30 00:44:59.000000000 -0700
+++ devel-akpm/drivers/media/video/bttvp.h	2005-07-30 00:44:59.000000000 -0700
@@ -26,7 +26,7 @@
 #ifndef _BTTVP_H_
 #define _BTTVP_H_
 
-#include <linux/version.h>
+#include <linux/utsname.h>
 #define BTTV_VERSION_CODE KERNEL_VERSION(0,9,16)
 
 #include <linux/types.h>
diff -puN drivers/media/video/saa7134/saa7134.h~move-kernel_version-from-linux-versionh-to-linux-utsnameh drivers/media/video/saa7134/saa7134.h
--- devel/drivers/media/video/saa7134/saa7134.h~move-kernel_version-from-linux-versionh-to-linux-utsnameh	2005-07-30 00:44:59.000000000 -0700
+++ devel-akpm/drivers/media/video/saa7134/saa7134.h	2005-07-30 00:44:59.000000000 -0700
@@ -20,7 +20,7 @@
  *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  */
 
-#include <linux/version.h>
+#include <linux/utsname.h>
 #define SAA7134_VERSION_CODE KERNEL_VERSION(0,2,14)
 
 #include <linux/pci.h>
diff -puN drivers/media/video/zoran_driver.c~move-kernel_version-from-linux-versionh-to-linux-utsnameh drivers/media/video/zoran_driver.c
--- devel/drivers/media/video/zoran_driver.c~move-kernel_version-from-linux-versionh-to-linux-utsnameh	2005-07-30 00:44:59.000000000 -0700
+++ devel-akpm/drivers/media/video/zoran_driver.c	2005-07-30 00:44:59.000000000 -0700
@@ -45,7 +45,7 @@
  */
 
 #include <linux/config.h>
-#include <linux/version.h>
+#include <linux/utsname.h>
 #include <linux/init.h>
 #include <linux/module.h>
 #include <linux/delay.h>
diff -puN drivers/usb/media/sn9c102.h~move-kernel_version-from-linux-versionh-to-linux-utsnameh drivers/usb/media/sn9c102.h
--- devel/drivers/usb/media/sn9c102.h~move-kernel_version-from-linux-versionh-to-linux-utsnameh	2005-07-30 00:44:59.000000000 -0700
+++ devel-akpm/drivers/usb/media/sn9c102.h	2005-07-30 00:44:59.000000000 -0700
@@ -21,7 +21,7 @@
 #ifndef _SN9C102_H_
 #define _SN9C102_H_
 
-#include <linux/version.h>
+#include <linux/utsname.h>
 #include <linux/usb.h>
 #include <linux/videodev.h>
 #include <linux/device.h>
diff -puN drivers/video/matrox/matroxfb_base.c~move-kernel_version-from-linux-versionh-to-linux-utsnameh drivers/video/matrox/matroxfb_base.c
--- devel/drivers/video/matrox/matroxfb_base.c~move-kernel_version-from-linux-versionh-to-linux-utsnameh	2005-07-30 00:44:59.000000000 -0700
+++ devel-akpm/drivers/video/matrox/matroxfb_base.c	2005-07-30 00:44:59.000000000 -0700
@@ -101,7 +101,7 @@
 
 /* make checkconfig does not check included files... */
 #include <linux/config.h>
-#include <linux/version.h>
+#include <linux/utsname.h>
 
 #include "matroxfb_base.h"
 #include "matroxfb_misc.h"
diff -puN include/linux/utsname.h~move-kernel_version-from-linux-versionh-to-linux-utsnameh include/linux/utsname.h
--- devel/include/linux/utsname.h~move-kernel_version-from-linux-versionh-to-linux-utsnameh	2005-07-30 00:44:59.000000000 -0700
+++ devel-akpm/include/linux/utsname.h	2005-07-30 00:44:59.000000000 -0700
@@ -33,4 +33,7 @@ struct new_utsname {
 extern struct new_utsname system_utsname;
 
 extern struct rw_semaphore uts_sem;
+
+#define KERNEL_VERSION(a,b,c) (((a) << 16) + ((b) << 8) + (c))
+
 #endif
diff -puN include/media/saa7146.h~move-kernel_version-from-linux-versionh-to-linux-utsnameh include/media/saa7146.h
--- devel/include/media/saa7146.h~move-kernel_version-from-linux-versionh-to-linux-utsnameh	2005-07-30 00:44:59.000000000 -0700
+++ devel-akpm/include/media/saa7146.h	2005-07-30 00:44:59.000000000 -0700
@@ -1,7 +1,6 @@
 #ifndef __SAA7146__
 #define __SAA7146__
 
-#include <linux/version.h>	/* for version macros */
 #include <linux/module.h>	/* for module-version */
 #include <linux/delay.h>	/* for delay-stuff */
 #include <linux/slab.h>		/* for kmalloc/kfree */
@@ -14,6 +13,7 @@
 #include <linux/stringify.h>
 #include <linux/vmalloc.h>	/* for vmalloc() */
 #include <linux/mm.h>		/* for vmalloc_to_page() */
+#include <linux/utsname.h>	/* for KERNEL_VERSION */
 
 #define SAA7146_VERSION_CODE KERNEL_VERSION(0,5,0)
 
diff -puN Makefile~move-kernel_version-from-linux-versionh-to-linux-utsnameh Makefile
--- devel/Makefile~move-kernel_version-from-linux-versionh-to-linux-utsnameh	2005-07-30 00:44:59.000000000 -0700
+++ devel-akpm/Makefile	2005-07-30 00:44:59.000000000 -0700
@@ -845,7 +845,6 @@ define filechk_version.h
 	fi; \
 	(echo \#define UTS_RELEASE \"$(KERNELRELEASE)\"; \
 	  echo \#define LINUX_VERSION_CODE `expr $(VERSION) \\* 65536 + $(PATCHLEVEL) \\* 256 + $(SUBLEVEL)`; \
-	 echo '#define KERNEL_VERSION(a,b,c) (((a) << 16) + ((b) << 8) + (c))'; \
 	)
 endef
 
_
